Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKAlgorithmParameters.IES

    java.lang.Object
      |
      +--java.security.AlgorithmParametersSpi
            |
            +--org.bouncycastle.jce.provider.JDKAlgorithmParameters
                  |
                  +--org.bouncycastle.jce.provider.JDKAlgorithmParameters.IES

Enclosing class:
  JDKAlgorithmParameters

public static class JDKAlgorithmParameters.IES
extends JDKAlgorithmParameters

Nested Class Summary

Nested classes inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameters
`JDKAlgorithmParameters.CAST5AlgorithmParameters, JDKAlgorithmParameters.DH, JDKAlgorithmParameters.DSA, JDKAlgorithmParameters.ElGamal, JDKAlgorithmParameters.IDEAAlgorithmParameters, JDKAlgorithmParameters.IES, JDKAlgorithmParameters.IVAlgorithmParameters, JDKAlgorithmParameters.PKCS12PBE, JDKAlgorithmParameters.RC2AlgorithmParameters`

Constructor Summary
`JDKAlgorithmParameters.IES()`

Method Summary
`protected byte[]` | `engineGetEncoded()` in the abscence of a standard way of doing it this will do for now...
`protected byte[]` | `engineGetEncoded(java.lang.String format)`
`protected AlgorithmParameterSpec` | `engineGetParameterSpec(java.lang.Class paramSpec)`
`protected void` | `engineInit(AlgorithmParameterSpec paramSpec)`
`protected void` | `engineInit(byte[] params)`
`protected void` | `engineInit(byte[] params, java.lang.String format)`
`protected java.lang.String` | `engineToString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKAlgorithmParameters.IES

    public JDKAlgorithmParameters.IES()

Method Detail

### engineGetEncoded

    protected byte[] engineGetEncoded()

  in the abscence of a standard way of doing it this will do for now...

  Specified by:
    `engineGetEncoded` in class `AlgorithmParametersSpi`

### engineGetEncoded

    protected byte[] engineGetEncoded(java.lang.String format)

  Specified by:
    `engineGetEncoded` in class `AlgorithmParametersSpi`

### engineGetParameterSpec

    protected AlgorithmParameterSpec engineGetParameterSpec(java.lang.Class paramSpec)
                                                     throws InvalidParameterSpecException

  Specified by:
    `engineGetParameterSpec` in class `AlgorithmParametersSpi`
    `InvalidParameterSpecException`

### engineInit

    protected void engineInit(AlgorithmParameterSpec paramSpec)
                       throws InvalidParameterSpecException

  Specified by:
    `engineInit` in class `AlgorithmParametersSpi`
    `InvalidParameterSpecException`

### engineInit

    protected void engineInit(byte[] params)
                       throws java.io.IOException

  Specified by:
    `engineInit` in class `AlgorithmParametersSpi`
    `java.io.IOException`

### engineInit

    protected void engineInit(byte[] params,
                              java.lang.String format)
                       throws java.io.IOException

  Specified by:
    `engineInit` in class `AlgorithmParametersSpi`
    `java.io.IOException`

### engineToString

    protected java.lang.String engineToString()

  Specified by:
    `engineToString` in class `AlgorithmParametersSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD